declare
  dummy number(1) := 0;
begin
  begin
    select 1
      into dummy
      from agrupaciones_trab
     where agrupacion = 'MUNI_TRA'
       and rownum = 1;
  exception
    when no_data_found then
      dummy := 0;
  end;
  if dummy = 0 then
    sp_alta_agrupaciones_trab('MUNI_TRA',
                              'Municipio Trabajo Planilla Integrada',
                              1,
                              0);
  end if;

  begin
    select 1
      into dummy
      from rel_agr_companias
     where agrupacion = 'MUNI_TRA'
       and rownum = 1;
  exception
    when no_data_found then
      dummy := 0;
  end;
  if dummy = 0 then
    insert into rel_agr_companias
      (agrupacion, compania)
      SELECT 'MUNI_TRA', compania FROM companias;
  end if;

  begin
    select 1
      into dummy
      from datos_agr_trab
     where agrupacion = 'MUNI_TRA'
       and rownum = 1;
  exception
    when no_data_found then
      dummy := 0;
  end;
  if dummy = 0 then
    insert into datos_agr_trab (agrupacion, dato, descripcion) values( 'MUNI_TRA', '05-001','MEDELLIN');
    insert into datos_agr_trab (agrupacion, dato, descripcion) values( 'MUNI_TRA', '08-001','BARRANQUILLA');
    insert into datos_agr_trab (agrupacion, dato, descripcion) values( 'MUNI_TRA', '11-001','BOGOTA D.C.');
    insert into datos_agr_trab (agrupacion, dato, descripcion) values( 'MUNI_TRA', '13-001','CARTAGENA DE INDIAS');
    insert into datos_agr_trab (agrupacion, dato, descripcion) values( 'MUNI_TRA', '15-001','TUNJA');
    insert into datos_agr_trab (agrupacion, dato, descripcion) values( 'MUNI_TRA', '17-001','MANIZALES');
    insert into datos_agr_trab (agrupacion, dato, descripcion) values( 'MUNI_TRA', '18-001','FLORENCIA');
    insert into datos_agr_trab (agrupacion, dato, descripcion) values( 'MUNI_TRA', '19-001','POPAYAN');
    insert into datos_agr_trab (agrupacion, dato, descripcion) values( 'MUNI_TRA', '20-001','VALLEDUPAR');
    insert into datos_agr_trab (agrupacion, dato, descripcion) values( 'MUNI_TRA', '23-001','MONTERIA');
    insert into datos_agr_trab (agrupacion, dato, descripcion) values( 'MUNI_TRA', '27-001','QUIBDO');
    insert into datos_agr_trab (agrupacion, dato, descripcion) values( 'MUNI_TRA', '41-001','NEIVA');
    insert into datos_agr_trab (agrupacion, dato, descripcion) values( 'MUNI_TRA', '44-001','RIOHACHA');
    insert into datos_agr_trab (agrupacion, dato, descripcion) values( 'MUNI_TRA', '47-001','SANTA MARTA');
    insert into datos_agr_trab (agrupacion, dato, descripcion) values( 'MUNI_TRA', '50-001','VILLAVICENCIO');
    insert into datos_agr_trab (agrupacion, dato, descripcion) values( 'MUNI_TRA', '52-001','PASTO');
    insert into datos_agr_trab (agrupacion, dato, descripcion) values( 'MUNI_TRA', '54-001','CUCUTA');
    insert into datos_agr_trab (agrupacion, dato, descripcion) values( 'MUNI_TRA', '63-001','ARMENIA');
    insert into datos_agr_trab (agrupacion, dato, descripcion) values( 'MUNI_TRA', '05-266','ENVIGADO');
    insert into datos_agr_trab (agrupacion, dato, descripcion) values( 'MUNI_TRA', '66-001','PEREIRA');
    insert into datos_agr_trab (agrupacion, dato, descripcion) values( 'MUNI_TRA', '68-001','BUCARAMANGA');
    insert into datos_agr_trab (agrupacion, dato, descripcion) values( 'MUNI_TRA', '70-001','SINCELEJO');
    insert into datos_agr_trab (agrupacion, dato, descripcion) values( 'MUNI_TRA', '73-001','IBAGUE');
    insert into datos_agr_trab (agrupacion, dato, descripcion) values( 'MUNI_TRA', '76-001','CALI');
    insert into datos_agr_trab (agrupacion, dato, descripcion) values( 'MUNI_TRA', '81-001','ARAUCA');
    insert into datos_agr_trab (agrupacion, dato, descripcion) values( 'MUNI_TRA', '85-001','YOPAL');
    insert into datos_agr_trab (agrupacion, dato, descripcion) values( 'MUNI_TRA', '86-001','MOCOA');
    insert into datos_agr_trab (agrupacion, dato, descripcion) values( 'MUNI_TRA', '88-001','SAN ANDRES');
    insert into datos_agr_trab (agrupacion, dato, descripcion) values( 'MUNI_TRA', '91-001','LETICIA');
    insert into datos_agr_trab (agrupacion, dato, descripcion) values( 'MUNI_TRA', '94-001','PUERTO INIRIDA');
    insert into datos_agr_trab (agrupacion, dato, descripcion) values( 'MUNI_TRA', '95-001','SAN JOSE DEL GUAVIARE');
    insert into datos_agr_trab (agrupacion, dato, descripcion) values( 'MUNI_TRA', '97-001','MITU');
    insert into datos_agr_trab (agrupacion, dato, descripcion) values( 'MUNI_TRA', '99-001','PUERTO CARREŅO');
    insert into datos_agr_trab (agrupacion, dato, descripcion) values( 'MUNI_TRA', '68-081','BARRANCABERMEJA');
    insert into datos_agr_trab (agrupacion, dato, descripcion) values( 'MUNI_TRA', '05-088','BELLO');
    insert into datos_agr_trab (agrupacion, dato, descripcion) values( 'MUNI_TRA', '68-276','FLORIDABLANCA');
    insert into datos_agr_trab (agrupacion, dato, descripcion) values( 'MUNI_TRA', '68-307','GIRON');
    insert into datos_agr_trab (agrupacion, dato, descripcion) values( 'MUNI_TRA', '05-360','ITAGUI');
    insert into datos_agr_trab (agrupacion, dato, descripcion) values( 'MUNI_TRA', '25-473','MOSQUERA');
    insert into datos_agr_trab (agrupacion, dato, descripcion) values( 'MUNI_TRA', '05-615','RIONEGRO');
  end if;

end;
/